'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function generateDocDependenceListByRequireList() {
  var dependenceList = arguments.length <= 0 || arguments[0] === undefined ? [] : arguments[0];

  return (0, _lodash2.default)(dependenceList).map(function (item) {
    return 'exports[\'' + item + '\'] = require(\'' + item + '\');';
  }).join('\n');
}

exports.default = generateDocDependenceListByRequireList;