'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _getModulePathByVinylFile = require('./getModulePathByVinylFile');

var _getModulePathByVinylFile2 = _interopRequireDefault(_getModulePathByVinylFile);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getModuleInfoByVinylFile(vinylFile) {
  return {
    'name': _path2.default.basename(vinylFile.path, _path2.default.extname(vinylFile.path)),
    'module': _path2.default.dirname((0, _getModulePathByVinylFile2.default)(vinylFile))
  };
}

exports.default = getModuleInfoByVinylFile;