'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = {
  getDefaultProps: function getDefaultProps() {
    return {
      grouper: function grouper(moduleName) {
        var result = moduleName.match(/[^\/]+\/[^\/]+$/);
        if (result) {
          return encodeGroupName(result[0]);
        }
        return null;
      }
    };
  }
};

function encodeGroupName(string) {
  return string.replace('/', '.');
}