'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _doctrine = require('doctrine');

var _doctrine2 = _interopRequireDefault(_doctrine);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function descriptionExtract(descriptionString) {
  if (_lodash2.default.isUndefined(descriptionString)) {
    return null;
  }
  return _doctrine2.default.parse(descriptionString, {
    sloppy: true,
    tags: ['example', 'exampleFile']
  });
}

exports.default = descriptionExtract;