'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getDocDependenceListByResult(result) {

  var requireList = {
    'react-dom': true
  };

  findExample(result);

  function findExample(obj) {
    _lodash2.default.forEach(_lodash2.default.keys(obj), function (key) {
      if (_lodash2.default.isPlainObject(obj[key])) {
        findExample(obj[key]);
      } else if (key === 'examples') {
        _lodash2.default.forEach(obj[key], function (exampleItem) {
          _lodash2.default.forEach(exampleItem.requireList, function (requireItem) {
            requireList[requireItem.path] = true;
          });
        });
      }
    });
  }

  return _lodash2.default.keys(requireList);
}

exports.default = getDocDependenceListByResult;